6.0.0-git
2019-10-22

[#14046] Additional E-mail Fields sync with CardDAV
Summary Additional E-mail Fields sync with CardDAV
Queue Turba
Queue Version 4.2.7
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester horst.simon (at) optusnet (dot) com (dot) au
Created 2015-07-08 (1567 days ago)
Due
Updated 2017-10-20 (732 days ago)
Assigned 2015-08-10 (1534 days ago)
Resolved 2015-08-14 (1530 days ago)
Milestone
Patch No

History
2017-10-20 20:34:50 Git Commit Comment #13 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit e969059465413cdc0f930cdc87e24f145a8ab8c3
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu, 15 Sep 2016 17:15:32 -0400

Bug: 14463 Fix regression in saving tags.

Regression the result of the fix for Bug 14046 - the bug
that keeps on giving, and giving...

  M lib/Object.php

https://github.com/horde/turba/commit/e969059465413cdc0f930cdc87e24f145a8ab8c3
2016-09-15 21:16:17 Git Commit Comment #12 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 6c2db6a198817b6e5787fd5df0a48771dfa912c0
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu Sep 15 17:10:10 2016 -0400

     Bug: 14463 Fix regression in saving tags.

     Regression the result of the fix for Bug 14046 - the bug
     that keeps on giving, and giving...

  turba/lib/Object.php | 2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)

http://github.com/horde/horde/commit/6c2db6a198817b6e5787fd5df0a48771dfa912c0
2016-09-15 21:12:22 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit efc488e7e71d3ac56391f894bbe9811cc1d4a436
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu Sep 15 17:10:10 2016 -0400

     Bug: 14463 Fix regression in saving tags.

     Regression the result of the fix for Bug 14046 - the bug
     that keeps on giving, and giving...

  turba/lib/Object.php | 2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)

http://github.com/horde/horde/commit/efc488e7e71d3ac56391f894bbe9811cc1d4a436
2015-08-14 19:05:02 Michael Rubinsky Comment #10
Summary ⇒ Additional E-mail Fields sync with CardDAV
Reply to this comment
This had nothing to do with ActiveSync, edit title.
2015-08-14 18:26:29 Michael Rubinsky Comment #9
State ⇒ Resolved
Reply to this comment
Turba 4.2.9
2015-08-14 18:25:18 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit fb5b1ec4228fb9ded41300e295af815c0d019f5c
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Aug 14 14:16:30 2015 -0400

     Bug: 14046 Fix populating incorrect email field.

     See also Bug: 12955 as this reverts the fix for that bug and properly
     fixes it here.

  turba/lib/Driver.php       |   13 -----------
  turba/lib/Object.php       |   52 
+++++++++++++++++++++++++++++++++++++++++++-
  turba/lib/Object/Group.php |    5 ++++
  3 files changed, 56 insertions(+), 14 deletions(-)

http://github.com/horde/horde/commit/fb5b1ec4228fb9ded41300e295af815c0d019f5c
2015-08-14 18:19:02 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit dd75365d0071866118df32b0e92a4cd4e7a30c23
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Aug 14 14:16:30 2015 -0400

     Bug: 14046 Fix populating incorrect email field.

     See also Bug: 12955 as this reverts the fix for that bug and properly
     fixes it here.

  turba/lib/Driver.php       |   13 -----------
  turba/lib/Object.php       |   52 
+++++++++++++++++++++++++++++++++++++++++++-
  turba/lib/Object/Group.php |    5 ++++
  3 files changed, 56 insertions(+), 14 deletions(-)

http://github.com/horde/horde/commit/dd75365d0071866118df32b0e92a4cd4e7a30c23
2015-08-13 01:26:52 horst (dot) simon (at) optusnet (dot) com (dot) au Comment #6 Reply to this comment
The problem might not be related to CardDav or Activesync or the 
client. I am too see the problem when importing a vCard. If there is 
an email address in the homeEmail or workEmail field it is duplicate 
to the Email field on import of the vCard. If there are email 
addresses in both fields home and work the homeEmaill address is 
duplicated to the empty Email field on import of the vCard.
2015-08-12 00:25:56 horst (dot) simon (at) optusnet (dot) com (dot) au Comment #5
New Attachment: backends.local.php Download
Reply to this comment
The backends.local.php
2015-08-12 00:25:02 horst (dot) simon (at) optusnet (dot) com (dot) au Comment #4
New Attachment: attributes.local.php Download
Reply to this comment
Hi,
I tried it agin and I could reproduce it with the OS/X contacts 
clients using CardDav.

I have three Email fields as Email, Home Email and Work Email. There 
is an entry in the Home Email field done through the Web interface. 
now when I edit the contact in OS/X Contacts it uploads the changfe 
and duplicates the email address from Home Email to the empty Email 
field. I enabled the additional fields in the local files and left the 
original as they are. I have uploaded the attributes.local.php and 
backends.local.php
Regards,
Horst

2015-08-10 23:24:47 Michael Rubinsky Comment #3 Reply to this comment
Tested with both FW_52 and master.
2015-08-10 22:40:31 Michael Rubinsky State ⇒ Feedback
 
2015-08-10 22:40:20 Michael Rubinsky Comment #2 Reply to this comment
Cannot reproduce. I have three email fields active. I have a contact 
with only a single email field filled in. I edit this contact on the 
client and only the correct changes are propagated back to the server.

What does your backends.local.php file look like? Can you provide a 
sync log of this happening?
2015-07-12 14:06:13 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Assigned
 
2015-07-08 05:33:42 horst (dot) simon (at) optusnet (dot) com (dot) au Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Additional E-mail Fields sync with CardDAV and ActiveSync
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
The additional email addresses get correct pushed to the IOS or OS/X 
contacts, but when editing any field in the contact, it will add the 
email address to the other empty email fields. if there is an email 
address in Home Email only, it will copy it to the Work Email Field 
and the Email Email, if they are empty.
The same problem exist in the cellphone field when the additional 
workcellphone is enabled.

Saved Queries